Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class StandardEdit

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.StandardEdit

public class StandardEdit
extends Behavior

Standard Edit operations: Undo, Redo, Cut, Copy, Paste, Clear, Select All.

Version:
  $Revision: 1.3 $ $Date: 2002/06/25 00:26:25 $

Field Summary
`static java.lang.String` | `MENU_CATEGORY_EDIT`
`static java.lang.String` | `MSG_CLEAR` Clear (delete) selected text.
`static java.lang.String` | `MSG_COPY` Copy selected text.
`static java.lang.String` | `MSG_CUT` Cut selected text.
`static java.lang.String` | `MSG_PASTE` Paste clipboard at cursor.
`static java.lang.String` | `MSG_REDO` Redo last editing operation.
`static java.lang.String` | `MSG_SELECT_ALL` Select all text.
`static java.lang.String` | `MSG_UNDO` Reverse last editing operation.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`StandardEdit()`

Method Summary
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Implement MSG_CUT, MSG_COPY, ....
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` On `VMenu.MSG_CREATE_EDIT`, add cut/copy/paste/... menu items.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_CUT

    public static final java.lang.String MSG_CUT

  Cut selected text.

  `"editCut"`.

  See Also:
    Constant Field Values

### MSG_COPY

    public static final java.lang.String MSG_COPY

  Copy selected text.

  `"editCopy"`.

  See Also:
    Constant Field Values

### MSG_PASTE

    public static final java.lang.String MSG_PASTE

  Paste clipboard at cursor.

  `"editPaste"`.

  See Also:
    Constant Field Values

### MSG_CLEAR

    public static final java.lang.String MSG_CLEAR

  Clear (delete) selected text.

  `"editClear"`.

  See Also:
    Constant Field Values

### MSG_UNDO

    public static final java.lang.String MSG_UNDO

  Reverse last editing operation.

  `"editUndo"`.

  See Also:
    Constant Field Values

### MSG_REDO

    public static final java.lang.String MSG_REDO

  Redo last editing operation.

  `"editRedo"`.

  See Also:
    Constant Field Values

### MSG_SELECT_ALL

    public static final java.lang.String MSG_SELECT_ALL

  Select all text.

  `"editSelectAll"`.

  See Also:
    Constant Field Values

### MENU_CATEGORY_EDIT

    public static final java.lang.String MENU_CATEGORY_EDIT

See Also:
  Constant Field Values

Constructor Detail

### StandardEdit

    public StandardEdit()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  On `VMenu.MSG_CREATE_EDIT`, add cut/copy/paste/... menu items.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Implement MSG_CUT, MSG_COPY, ....

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD